> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET/Projection                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           

> 해당 프로젝트에 설정된 모든 Projection 정책 정보를 가져옵니다.

## 1. 엔드포인트

```text GET/Projection theme={null}
GET https://rest-api.argosidentity.com/v3/projection
```

## 2. 인증

`x-api-key` 헤더에 API 키를 포함시켜야 합니다:

```text x-api-key theme={null}
x-api-key: {yourAPIKey}
```

## 3. 요청 파라미터

There is no requirement for the request body.

## 4. 요청 예시

```curl GET/Projection theme={null}
curl --location 'https://rest-api.argosidentity.com/v3/projection' \
--header 'x-api-key: {yourAPIKey}'
```

## 5. 응답

### 5-1. 성공 응답

<CodeGroup>
  ```json result-get-projection.json theme={null}
  {
      "items": [
          {
              "projection_id": "{projection_id}",
              "name": "{name}",
              "mode": "{mode}",
              "fields": [
                  "gender",
                  "nationality"
              ],
              "created_at": "2023-12-01T12:34:56.789Z"
          },
          {
              "projection_id": "{projection_id}",
              "name": "{name}",
              "mode": "{mode}",
              "fields": [
                  "gender",
                  "nationality"
              ],
              "created_at": "2023-12-01T12:34:56.789Z"
          }
      ],
      "message": "Get projection list success"
  }
  ```
</CodeGroup>

### 5-2. 응답 데이터

| 필드명             | 설명                                                                  | 데이터 타입         | 카테고리            |
| --------------- | ------------------------------------------------------------------- | -------------- | --------------- |
| `projection_id` | The unique ID of the generated projection                           | String         | Projection Info |
| `name`          | The projection name                                                 | String         | Projection Info |
| `mode`          | The projection mode. Currently, there is only the `exclude` option. | String         | Projection Info |
| `fields`        | The list to exclude specific fields.                                | Array\<String> | Projection Info |
| `created_at`    | Created Time (Type of ISO 8601)                                     | String         | Projection Info |

### 5-3. 오류 코드

| 상태 코드 | 오류 메시지                                                | 설명                                            |
| ----- | ----------------------------------------------------- | --------------------------------------------- |
| 404   | Projection not found                                  | 지정한 projectionId에 해당하는 프로젝션이 없을 때             |
| 405   | Method not allowed for /projections/projectionId path | GET, DELETE 이외의 HTTP 메서드(POST, PUT 등)로 요청한 경우 |
| 500   | Internal server error                                 | 서버 내부에서 처리되지 않은 예외가 발생한 경우                    |
